[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.AutoFreeByControl

Returns True if the DockManager should be destroyed together with the docksite.

## Declaration

Source position: controls.pp line 524

`public function TDockManager.AutoFreeByControl: Boolean; virtual;`

## Description

This is a Lazarus specific extension of the Delphi TDockManager. It allows multiple docksites to share the same DockManager instance.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.